public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/talloc/
Date: Thu, 15 Jul 2021 09:49:34 +0000 (UTC)	[thread overview]
Message-ID: <1626342549.f1ff1c75ed4b8c023c0859631ab66825624e0ec1.polynomial-c@gentoo> (raw)

commit:     f1ff1c75ed4b8c023c0859631ab66825624e0ec1
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 15 08:56:51 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jul 15 09:49:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1ff1c75

sys-libs/talloc: Bump to version 2.3.3

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/talloc/Manifest            |   1 +
 sys-libs/talloc/talloc-2.3.3.ebuild | 118 ++++++++++++++++++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/sys-libs/talloc/Manifest b/sys-libs/talloc/Manifest
index f3b62899b69..ae0afae278e 100644
--- a/sys-libs/talloc/Manifest
+++ b/sys-libs/talloc/Manifest
@@ -1 +1,2 @@
 DIST talloc-2.3.2.tar.gz 661344 BLAKE2B 957eedc4a367051cb99fa4d2edb8e778de8e0187bb5c0d84a1afef20aab122a8b7310d10c694e15ddd6a0a45194889fe3d26dae0ceb8e406d51512af95a23014 SHA512 c851a6f43025720453a3bff8734bfcfff0e29fb7cf2ffcc6c03b6ab8589098daf01d668deec61aa2f238d4df3eb3c47bd080e26eec760cf04a70e1afcad5c5e1
+DIST talloc-2.3.3.tar.gz 650493 BLAKE2B 4312d8bbd54da2cb8917946e46bb77dae1c6fdfeb72bd85d86ef8d5900f2132a36c5f0075608116a9bf036a2f02671472d389eed704f8e2923f8320d29aa12bd SHA512 1e4b90769b9be72421d76bf9149fd0736f43d034b1573ab2dfb5cd613b4fb3fdf67d575f81789851787e1cbbc7353cdfc114cefbccb15fc0f39e222f40aff65f

diff --git a/sys-libs/talloc/talloc-2.3.3.ebuild b/sys-libs/talloc/talloc-2.3.3.ebuild
new file mode 100644
index 00000000000..2b8eb265c04
--- /dev/null
+++ b/sys-libs/talloc/talloc-2.3.3.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="threads(+)"
+inherit waf-utils python-single-r1 multilib-minimal
+
+DESCRIPTION="Samba talloc library"
+HOMEPAGE="https://talloc.samba.org/"
+SRC_URI="https://www.samba.org/ftp/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-3+ LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~x64-solaris"
+IUSE="compat +python"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"
+
+RDEPEND="
+	!elibc_FreeBSD? (
+		!elibc_SunOS? (
+			!elibc_Darwin? (
+				dev-libs/libbsd[${MULTILIB_USEDEP}]
+			)
+		)
+	)
+	python? ( ${PYTHON_DEPS} )
+	!!<sys-libs/talloc-2.0.5
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+	dev-libs/libxslt
+	sys-devel/gettext
+"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+MULTILIB_WRAPPED_HEADERS=(
+	# python goes only for native
+	/usr/include/pytalloc.h
+)
+
+pkg_setup() {
+	# try to turn off distcc and ccache for people that have a problem with it
+	export DISTCC_DISABLE=1
+	export CCACHE_DISABLE=1
+
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		# Drop irritating ABI names (e.g. cpython-37m)
+		# We're only installing one implementation anyway
+		sed -i "s/+ conf.all_envs\['default'\]\['PYTHON_SO_ABI_FLAG'\]//" wscript || die
+		sed -i "s/name = bld.pyembed_libname('pytalloc-util')/name = 'pytalloc-util'/" wscript || die
+	fi
+
+	# what would you expect of waf? i won't even waste time trying.
+	multilib_copy_sources
+}
+
+multilib_src_configure() {
+	local extra_opts=(
+		$(usex compat --enable-talloc-compat1 '')
+		$(multilib_native_usex python '' --disable-python)
+		$([[ ${CHOST} == *-solaris* ]] && echo '--disable-symbol-versions')
+	)
+	waf-utils_src_configure "${extra_opts[@]}"
+}
+
+multilib_src_compile() {
+	waf-utils_src_compile
+}
+
+multilib_src_install() {
+	waf-utils_src_install
+
+	# waf is stupid, and no, we can't fix the build-system, since it's provided
+	# as a brilliant binary blob thats decompressed on the fly
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		install_name_tool \
+			-id "${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+			"${ED}"/usr/$(get_libdir)/libtalloc.${PV}.dylib || die
+
+		if use python ; then
+			install_name_tool \
+				-id "${EPREFIX}"/usr/$(get_libdir)/libpytalloc-util.2.dylib \
+				"${ED}"/usr/$(get_libdir)/libpytalloc-util.${PV}.dylib || die
+			install_name_tool \
+				-change "${BUILD_DIR}/bin/default/libtalloc.dylib" \
+				"${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+				"${ED}"/usr/$(get_libdir)/libpytalloc-util.${PV}.dylib || die
+
+			install_name_tool \
+				-id "${EPREFIX}"/usr/$(get_libdir)/libpytalloc-util.dylib \
+				"${ED}"/usr/$(get_libdir)/libpytalloc-util.dylib || die
+			install_name_tool \
+				-change "${BUILD_DIR}/bin/default/libtalloc.dylib" \
+				"${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+				"${ED}"/usr/$(get_libdir)/libpytalloc-util.dylib || die
+
+			install_name_tool \
+				-change "${BUILD_DIR}/bin/default/libpytalloc-util.dylib" \
+				"${EPREFIX}"/usr/$(get_libdir)/libpytalloc-util.dylib \
+				"${D}"$(python_get_sitedir)/talloc*.bundle || die
+			install_name_tool \
+				-change "${BUILD_DIR}/bin/default/libtalloc.dylib" \
+				"${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+				"${D}"$(python_get_sitedir)/talloc*.bundle || die
+		fi
+	fi
+}


             reply	other threads:[~2021-07-15  9:49 UTC|newest]

Thread overview: 130+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-15  9:49 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-14 18:31 [gentoo-commits] repo/gentoo:master commit in: sys-libs/talloc/ Sam James
2024-10-13 11:06 Sam James
2024-10-12 17:59 Arthur Zamarin
2024-10-10 11:04 Arthur Zamarin
2024-10-08 19:37 Arthur Zamarin
2024-10-08 17:38 Sam James
2024-10-08 16:06 Sam James
2024-06-28 12:36 Ben Kohler
2024-06-26 14:42 Ionen Wolkens
2024-05-29 17:38 Sam James
2024-05-29 17:37 Sam James
2024-05-29 17:37 Sam James
2024-05-29 14:43 Jakov Smolić
2024-05-29 14:43 Jakov Smolić
2024-04-17 16:04 Ben Kohler
2024-04-16 18:07 Ben Kohler
2024-04-16 18:07 Ben Kohler
2023-08-02 15:07 Sam James
2023-05-16  2:26 Sam James
2023-04-01 16:32 Arthur Zamarin
2023-04-01 16:32 Arthur Zamarin
2023-03-16 17:38 Arthur Zamarin
2023-02-26 19:10 Arthur Zamarin
2023-02-23 20:47 Arthur Zamarin
2023-02-23 20:04 Arthur Zamarin
2023-02-22 21:05 Arthur Zamarin
2023-01-10  5:57 Sam James
2022-11-20  4:25 Sam James
2022-09-30 11:51 Agostino Sarubbo
2022-09-30 11:49 Agostino Sarubbo
2022-09-30 11:48 Agostino Sarubbo
2022-09-30 11:48 Agostino Sarubbo
2022-09-30 11:46 Agostino Sarubbo
2022-09-30  7:01 Arthur Zamarin
2022-09-30  7:01 Arthur Zamarin
2022-09-30  7:01 Arthur Zamarin
2022-08-28  5:39 WANG Xuerui
2022-06-24  7:43 Lars Wendler
2022-02-18  4:38 Sam James
2022-02-18  4:38 Sam James
2022-02-18  3:50 Sam James
2022-01-29  3:52 Sam James
2022-01-29  3:52 Sam James
2022-01-25 16:10 Sam James
2022-01-20 16:34 Sam James
2022-01-02 17:49 David Seifert
2021-11-01  7:42 Arthur Zamarin
2021-05-31 17:49 David Seifert
2021-05-22 20:12 Lars Wendler
2021-05-15 18:03 Sam James
2021-05-15 17:59 Sam James
2021-05-15  2:41 Sam James
2021-05-13 16:15 Sam James
2021-05-06  7:22 Sergei Trofimovich
2021-05-02 22:09 Sergei Trofimovich
2021-04-28 16:52 Mikle Kolyada
2021-04-21 18:39 Sergei Trofimovich
2021-01-26 19:51 Lars Wendler
2021-01-25 16:19 Andreas Sturmlechner
2021-01-09 20:57 Lars Wendler
2020-12-14 23:04 Mike Gilbert
2020-11-30 14:51 Sam James
2020-03-26 19:06 Lars Wendler
2020-03-26 18:01 Sergei Trofimovich
2020-02-13 12:46 Agostino Sarubbo
     [not found] <1581597497.6899c1a684f3717b2e6c277e7e6c54ad8d78d610.ago@gentoo>
2020-02-13 12:38 ` Agostino Sarubbo
2020-02-13 12:27 Agostino Sarubbo
2020-02-13 12:19 Agostino Sarubbo
2020-02-13 12:10 Agostino Sarubbo
2020-02-13 12:03 Agostino Sarubbo
2019-12-17 13:50 Lars Wendler
2019-09-04 16:17 Lars Wendler
2019-09-04 16:17 Lars Wendler
2019-07-05 22:27 Sergei Trofimovich
2019-06-04 21:00 Agostino Sarubbo
2019-05-15  9:08 Fabian Groffen
2019-05-05 20:33 Mikle Kolyada
2019-04-23  0:13 Aaron Bauman
2019-03-25 15:00 Lars Wendler
2019-03-25 15:00 Lars Wendler
2019-02-28 11:51 Lars Wendler
2019-02-28 11:51 Lars Wendler
2019-01-28 13:49 Fabian Groffen
2019-01-16 21:30 Lars Wendler
2018-11-07 23:28 Sergei Trofimovich
2018-10-26  0:52 Thomas Deutschmann
2018-10-25 17:15 Mikle Kolyada
2018-08-17  2:05 Mikle Kolyada
2018-07-13 14:14 Lars Wendler
2018-07-13 14:14 Lars Wendler
2018-04-28 20:08 Mikle Kolyada
2018-04-17  8:42 Lars Wendler
2018-01-16 15:04 Lars Wendler
2017-11-09 22:05 Mike Gilbert
2017-09-12  9:13 Fabian Groffen
2017-07-25 20:24 Lars Wendler
2017-07-06 12:43 Lars Wendler
2017-06-21 11:57 Agostino Sarubbo
2017-06-10 13:45 Agostino Sarubbo
2017-05-27 13:23 Tobias Klausmann
2017-05-26 14:59 Agostino Sarubbo
2017-05-26 14:05 Agostino Sarubbo
2017-05-26 13:48 Agostino Sarubbo
2017-03-10 14:36 Lars Wendler
2017-01-18 18:27 Lars Wendler
2017-01-04 20:55 Mike Frysinger
2016-07-29 12:18 Lars Wendler
2016-07-29 12:18 Lars Wendler
2016-05-24  9:20 Lars Wendler
2016-05-24  9:20 Lars Wendler
2016-03-08 21:23 Lars Wendler
2016-03-08 21:23 Lars Wendler
2016-02-14 10:10 David Seifert
2016-02-14  0:45 Victor Ostorga
2016-01-12  7:25 Jeroen Roovers
2016-01-09  6:26 Agostino Sarubbo
2016-01-08  8:37 Agostino Sarubbo
2016-01-08  8:36 Agostino Sarubbo
2016-01-07 20:31 Markus Meier
2016-01-07 10:14 Agostino Sarubbo
2016-01-07 10:14 Agostino Sarubbo
2015-12-29 23:51 Victor Ostorga
2015-12-29 11:43 Agostino Sarubbo
2015-12-29 11:43 Agostino Sarubbo
2015-11-23 11:02 Lars Wendler
2015-11-23 11:02 Lars Wendler
2015-10-28 13:36 Justin Lecher
2015-10-17 10:16 Lars Wendler
2015-10-17 10:16 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1626342549.f1ff1c75ed4b8c023c0859631ab66825624e0ec1.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox